/*
 * UiObjectList.java
 *
 * Created on 18. Juni 2001, 14:38
 */

package bank3tier.ui;
import  javax.swing.JTable;
import  javax.swing.JScrollPane;
import  javax.swing.ListSelectionModel;
/**
 * The base class for a dialog representing a list of LgObject-s.
 * @author  Christoph Knabe 2001-06-29
 */
public abstract class UiObjectList extends UiDialog 
//implements javax.swing.event.ListSelectionListener 
{

    /** Creates new UiObjectList */
    public UiObjectList(final java.awt.Window io_owner) {
        super(io_owner);
        _selection.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        _contentPane.add(_scrollpane, java.awt.BorderLayout.CENTER);

        _buttonsPanel.setLayout(new java.awt.GridLayout (1, 2));
        _addButton(_aendernButton);
        _addButton(_loeschenButton);
        _contentPane.add(_buttonsPanel, java.awt.BorderLayout.SOUTH);
    }

    //public abstract void actionPerformed(final java.awt.event.ActionEvent p1);

    protected final JTable _inhaltTable     = new JTable();
    protected final ListSelectionModel _selection = _inhaltTable.getSelectionModel();
    private final   JScrollPane _scrollpane = new JScrollPane(_inhaltTable);    
    protected final javax.swing.JButton _aendernButton = new javax.swing.JButton("Ändern");
    protected final javax.swing.JButton _loeschenButton = new javax.swing.JButton("Löschen");

}//UiObjectList
